/*
    This file is part of Vimoware.

    Vimoware is free software: you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Vimoware is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with Vimoware. If not, see <http://www.gnu.org/licenses/>.
 */
package at.ac.tuwien.vitalab.middleware.discovery;

import at.ac.tuwien.vitalab.middleware.discovery.AServiceQuery;

/**
 * IServiceSubscriber which monitors the changes of a service.
 * 
 * @author Lukasz Juszczyk
 *
 */
public interface IServiceSubscriber {
	
	/**
	 * Method for being notified of a change.
	 * 
	 * @param query AServiceQuery which fired.
	 * @param info Service which changed.
	 */
	public void notification(AServiceQuery query, ServiceInfo info); 	
}