/**
 * 
 */
package at.ac.tuwien.vitalab.middleware.discovery;

/**
 * Interface for receivers of service availability updates.
 * 
 * @author Lukasz Juszczyk
 *
 */
public interface IServiceUpdateReceiver {

	/**
	 * Called if a services becomes available (again).
	 * 
	 * @param service Service.
	 */
	public void serviceAvailable(ServiceInfo service);
	
	/**
	 * Called if a services becomes unavailable (again).
	 * 
	 * @param service Service.
	 */
	public void serviceUnavailable(ServiceInfo service);
	
}
