/*
    This file is part of Vimoware.

    Vimoware is free software: you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Vimoware is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with Vimoware. If not, see <http://www.gnu.org/licenses/>.
 */
package edu.wustl.mobilab.sliver.log;

import java.util.*;

/**
 * A {@link LoggerFactory} that prints all messages to stderr.
 * This logger is mainly useful for debugging on mobile devices that don't
 * support {@link edu.wustl.mobilab.sliver.util.j2se.J2SELoggerFactory}.
 * 
 * @author Greg Hackmann
 * @author Lukasz Juszczyk
 */
public class LoggerFactory
{
	
	/**
	 * The already-created {@link Logger}s.
	 */
	private static Hashtable loggers = new Hashtable();
	
	public static Logger getLogger(Class owner)
	{
		String name=owner.getName();
		
		Logger logger = (Logger)loggers.get(name);
		// Look up the logger based on its name
		if(logger == null)
		{
			logger = new Logger(name);
			loggers.put(name, logger);
		}
		// If it's not there, then make a new one

		return logger;
	}
}
